[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazWriterTiff

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Extends the FCL TIFF image writer to support the ILazImageWriter interface.

## Declaration

Source position: intfgraphics.pas line 625

`type TLazWriterTiff = class(TFPWriterTiff, ILazImageWriter)`
`public`
`function QueryInterface();` |  |
`function _AddRef;` |  |
`function _Release;` |  |
`protected`
`procedure InternalWrite(); override;` |  |
`public`
`procedure Initialize();` |  |
`procedure Finalize;` |  |
`end;`

## Inheritance

`TLazWriterTiff,ILazImageWriter` |  | Extends the FCL TIFF image writer to support the ILazImageWriter interface.
`TFPWriterTiff`
?
`TObject`